@charset "UTF-8";

/* Custom - wrapper */
.ftx_res_fcom_section { margin: 0 auto; max-width: 1080px; padding: 0 2rem 2rem; }
.ftx_res_fcom_section.mtop_section { margin-top: 2rem; }

/* Search */
.ftx_res_search_wrapper { margin: 10px 0; }
.ftx_res_search_wrapper .ftx_res_input_wrapper { display: flex; gap: 10px; align-items: center; border: 1px solid var(--fcom-secondary-border); border-radius: var(--ftx-input-border-radius, 8px); padding: 6px 20px; font-size: 14px; color: var(--el-input-icon-color); background-color: var(--fcom-primary-bg); cursor: text; }
.ftx_res_search_wrapper .ftx_res_input { --el-input-inner-height: calc(var(--el-input-height, 32px) - 2px); border: none; appearance: none; background: none; box-sizing: border-box; padding: 0; color: var(--el-input-text-color); flex-grow: 1; font-size: inherit; height: var(--el-input-inner-height); line-height: var(--el-input-inner-height); outline: none; }
.ftx_res_search_wrapper .ftx_res_input::placeholder { color: var(--el-input-placeholder-color, var(--el-text-color-placeholder)); }

/* Filters */
.ftx_res_filters_wrapper { margin: 0 0 20px 0; }
.ftx_res_filters_wrapper .ftx_res_filters_wrapper__list { overflow: hidden; }
.ftx_res_filters_wrapper .ftx_res_filters_wrapper__list ul { display: flex; align-items: center; gap: 12px; margin: 0; padding: 0; list-style-type: none; overflow-x: auto; }
.ftx_res_filters_wrapper .ftx_res_filters_wrapper__list ul li { margin: 0; padding: 0; }
.ftx_res_filters_wrapper .ftx_res_filters_wrapper__list button { display: flex; align-items: center; border: 1px solid var(--el-border-color); border-radius: var(--ftx-btn-border-radius, 8px); min-width: 0; max-width: 200px; padding: 0 15px; font-size: 14px; line-height: 14px; color: var(--fcom-secondary-text); background-color: transparent; cursor: pointer; }
.ftx_res_filters_wrapper .ftx_res_filters_wrapper__list button > span { min-width: 0; padding: 8px 0; overflow: hidden; white-space: nowrap; text-overflow: ellipsis; }
.ftx_res_filters_wrapper .ftx_res_filters_wrapper__list button:hover { color: var(--fcom-primary-text); }
.ftx_res_filters_wrapper .ftx_res_filters_wrapper__list button.is_active { color: var(--fcom-primary-text); background-color: var(--fcom-primary-bg); }

/* Order */
.ftx_res_order_wrapper { display: flex; align-items: center; gap: 10px; margin: 0 0 10px 0; }
.ftx_res_order_wrapper .ftx_res_order_div { flex-grow: 1; height: 1px; background-color: var(--fcom-secondary-border); }
.ftx_res_order_wrapper .ftx_res_order__item { display: flex; align-items: center; gap: 5px; }
.ftx_res_order_wrapper .ftx_res_order__item_label { font-size: 14px; color: var(--fcom-secondary-text); }
.ftx_res_order_wrapper .ftx_res_order_dropdown { width: 125px; }
.ftx_res_order_wrapper .ftx_res_order__item .ftx_dropdown__btn { display: flex; gap: 5px; border: none; width: 100%; min-width: 0; font-size: 14px; font-weight: 500; color: var(--fcom-primary-text); background: none; }
.ftx_res_order_wrapper .ftx_res_order__item .ftx_dropdown__btn .la6c23o { color: var(--fcom-secondary-text); }
.ftx_res_order_wrapper .ftx_res_order__item .ftx_dropdown__btn:hover { border: none; background: none; }
.ftx_res_order_wrapper .ftx_res_dropdown_btn_text { min-width: 0; overflow: hidden; white-space: nowrap; text-overflow: ellipsis; }
.ftx_res_order_wrapper .ftx_res_order__item .ftx_dropdown .ftx_dropdown__items { width: 150px; }
.ftx_res_order_wrapper .ftx_res_order__item .ftx_dropdown .ftx_dropdown__items ul { box-shadow: 0 8px 30px #1B253333; }
.ftx_res_order_wrapper .ftx_res_order__item .ftx_dropdown__item { padding: 0 15px; height: 30px; font-size: 14px; line-height: 30px; color: var(--fcom-secondary-text); overflow: hidden; white-space: nowrap; text-overflow: ellipsis; }
.ftx_res_order_wrapper .ftx_res_order__item .ftx_dropdown__item:hover { color: var(--fcom-secondary-text); background-color: var(--fcom-menu-bg-hover); }
.ftx_res_order_wrapper .ftx_res_order__item .ftx_dropdown__item.is_active { color: var(--fcom-primary-text); font-weight: 600; }
.ftx_res_order_wrapper .ftx_res_order__item .ftx_dropdown__item.is_active:hover { color: var(--fcom-primary-text); }

/* Custom - cards list */
.ftx_res_items_wrapper { position: relative; margin: 20px 0 0 0; }
.ftx_res_box_card_list { position: relative; display: grid; grid-template-columns: repeat(auto-fill,minmax(300px,1fr)); gap: 20px; z-index: 10; }
ul.ftx_res_box_card_list { list-style-type: none; margin: 0; padding: 0; }
ul.ftx_res_box_card_list li { margin: 0; padding: 0; }
.ftx_res_box_card_list .ftx_res_box_card_wrapper { height: 100%; }
.ftx_res_box_card { display: flex; flex-direction: column; position: relative; border-radius: var(--ftx-card-border-radius, 8px); height: 100%; text-decoration: none; }
.ftx_res_box_card:hover { box-shadow: 0 8px 30px #1B253333; }
.ftx_res_box_card .ftx_res_box_card__image { border-top-left-radius: var(--ftx-card-border-radius, 8px); border-top-right-radius: var(--ftx-card-border-radius, 8px); width: 100%; height: auto; overflow: hidden; }
.ftx_res_box_card .ftx_res_box_card__image img { display: block; width: 100%; height: auto; object-fit: cover; }
.ftx_res_box_card .ftx_res_box_card__info { display: flex; flex-direction: column; flex-grow: 1; gap: 12px; border: 1px solid var(--fcom-primary-border); border-bottom-left-radius: var(--ftx-card-border-radius, 8px); border-bottom-right-radius: var(--ftx-card-border-radius, 8px); padding: 12px; background-color: var(--fcom-primary-bg); }
.ftx_res_box_card .ftx_res_box_card__info_title, 
.ftx_res_box_card .ftx_res_box_card__info_title a { font-size: 16px; font-weight: 600; text-decoration: none; color: var(--fcom-primary-text); }
.ftx_res_box_card .ftx_res_box_card__info_title a:hover { text-decoration: underline; color: var(--fcom-primary-text); }
.ftx_res_box_card .ftx_res_box_card__info_row { font-size: 14px; color: var(--fcom-secondary-text); }
.ftx_res_box_card .ftx_res_box_card__info_description { margin: 0 0 10px 0; font-size: 14px; }
.ftx_res_box_card .ftx_res_box_card__action { margin-top: auto; }
.ftx_res_box_card .ftx_res_box_card_action_btn { display: inline-flex; gap: 10px; align-items: center; justify-content: center; border: none; border-radius: var(--ftx-btn-border-radius, 8px); width: 100%; padding: 8px; font-size: 13px; font-weight: 400; color: var(--fcom-menu-text-active); background-color: var(--fcom-active-bg); cursor: pointer; }
.ftx_res_box_card .ftx_res_box_card_action_btn:hover { opacity: .8; }
.ftx_res_load_more_btn_wrapper { display: flex; align-items: center; justify-content: center; }
.ftx_res_load_more_btn { margin-top: 30px; }

/* Empty list */
.ftx_res_items_wrapper .ftx_res_empty_list_wrapper { display: flex; flex-direction: column; align-items: center; padding: 50px; color: var(--fcom-secondary-text); }

/* Loader */
.ftx_res_items_wrapper .ftx_res_items_loader { display: flex !important; align-items: center; justify-content: center; position: absolute; left: 0; top: 0; width: 100%; height: 100%; font-size: 32px; background-color: rgba(255,255,255,.8); z-index: 20; opacity: 0; visibility: hidden; transition: opacity .3s ease-in-out; }
.ftx_res_items_wrapper .ftx_res_items_loader svg { -webkit-animation: ftx_res_loader_spin 1s infinite linear; animation: ftx_res_loader_spin 1s infinite linear; }
.ftx_res_items_wrapper.is_loading .ftx_res_items_loader { opacity: 1; visibility: visible; }

@-webkit-keyframes ftx_res_loader_spin {
	0% { -webkit-transform: rotate(0deg); transform: rotate(0deg); }
	100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }
}
@keyframes ftx_res_loader_spin {
	0% { -webkit-transform: rotate(0deg); transform: rotate(0deg); }
	100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }
}

/* Buttons */
.ftx_res_btn { display: inline-flex; align-items: center; justify-content: center; border-radius: var(--ftx-btn-border-radius, 8px); padding: 8px 15px; font-size: 16px; font-weight: 500; }
.ftx_res_btn_primary { border: 1px solid var(--fcom-primary-button); color: var(--fcom-primary-button-text); background-color: var(--fcom-primary-button); cursor: pointer; }
.ftx_res_btn_primary:hover { border: 1px solid var(--ftx-fbx-fcom-primary-button-hover); color: var(--ftx-fbx-fcom-primary-button-text-hover); background-color: var(--ftx-fbx-fcom-primary-button-hover); }
